Package org.springframework.cglib.core

# Class VisibilityPredicate

java.lang.Object
org.springframework.cglib.core.VisibilityPredicate

All Implemented Interfaces:
  `Predicate`

public class VisibilityPredicate extends Object implements Predicate

## Constructor Summary

Constructors
Constructor
Description
`VisibilityPredicate(Class source, boolean protectedOk)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`evaluate(Object arg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VisibilityPredicate

public VisibilityPredicate(Class source, boolean protectedOk)

## Method Details

### evaluate

public boolean evaluate(Object arg)

Specified by:
  `evaluate` in interface `Predicate`